# $Source$

# The Qt meta object support files

METASRC = maccel.cpp mapp.cpp mbttngrp.cpp mbutton.cpp mchkbox.cpp \
	  mclipbrd.cpp mcombo.cpp mdialog.cpp mfiledlg.cpp mframe.cpp \
	  mgrpbox.cpp mlabel.cpp mlcdnum.cpp mlined.cpp mlistbox.cpp \
	  mmenubar.cpp mmsgbox.cpp mpopmenu.cpp mprndlg.cpp mpushbt.cpp \
	  mradiobt.cpp mscrbar.cpp msocknot.cpp mtablevw.cpp mtimer.cpp \
	  mwidget.cpp mwindow.cpp
METAOBJ = maccel.o mapp.o mbttngrp.o mbutton.o mchkbox.o mclipbrd.o \
	  mcombo.o mdialog.o mfiledlg.o mframe.o mgrpbox.o mlabel.o \
	  mlcdnum.o mlined.o mlistbox.o mmenubar.o mmsgbox.o mpopmenu.o \
	  mprndlg.o mpushbt.o mradiobt.o mscrbar.o msocknot.o mtablevw.o \
	  mtimer.o mwidget.o mwindow.o

# The C++ header files

HEADERS = qaccel.h qapp.h qarray.h qbitarry.h qbitmap.h qbrush.h \
	  qbttngrp.h qbuffer.h qbutton.h qcache.h qchkbox.h qclipbrd.h \
	  qcollect.h qcolor.h qcombo.h qconnect.h qcursor.h qdatetm.h \
	  qdialog.h qdict.h qdir.h qdrawutl.h qdstream.h qevent.h qfile.h \
	  qfiledef.h qfiledlg.h qfileinf.h qfont.h qfontdta.h qfontinf.h \
	  qfontmet.h qframe.h qgarray.h qgcache.h qgdict.h qgeneric.h \
	  qglist.h qglobal.h qgrpbox.h qgvector.h qimage.h qintcach.h \
	  qintdict.h qiodev.h qkeycode.h qlabel.h qlcdnum.h qlined.h \
	  qlist.h qlistbox.h qmenubar.h qmenudta.h qmetaobj.h qmsgbox.h \
	  qobjcoll.h qobjdefs.h qobject.h qpaintd.h qpaintdc.h qpainter.h \
	  qpalette.h qpdevmet.h qpen.h qpicture.h qpixmap.h qpmcache.h \
	  qpntarry.h qpoint.h qpopmenu.h qprinter.h qprndlg.h qpsprn.h \
	  qpushbt.h qqueue.h qradiobt.h qrangect.h qrect.h qregexp.h \
	  qregion.h qscrbar.h qshared.h qsignal.h qsize.h qsocknot.h \
	  qstack.h qstring.h qstrlist.h qstrvec.h qtablevw.h qtimer.h \
	  qtstream.h qvector.h qwidcoll.h qwidget.h qwindefs.h qwindow.h \
	  qwmatrix.h

# The C++ source files that are edited by humans

SOURCES = qaccel.cpp qapp.cpp qapp_x11.cpp qbitarry.cpp qbitmap.cpp \
	  qbttngrp.cpp qbuffer.cpp qbutton.cpp qchkbox.cpp qclb_x11.cpp \
	  qclipbrd.cpp qcol_x11.cpp qcollect.cpp qcolor.cpp qcombo.cpp \
	  qconnect.cpp qcur_x11.cpp qcursor.cpp qdatetm.cpp qdialog.cpp \
	  qdir.cpp qdrawutl.cpp qdstream.cpp qevent.cpp qfile.cpp \
	  qfiledlg.cpp qfileinf.cpp qfnt_x11.cpp qfont.cpp qframe.cpp \
	  qgarray.cpp qgcache.cpp qgdict.cpp qglist.cpp qglobal.cpp \
	  qgrpbox.cpp qgvector.cpp qimage.cpp qiodev.cpp qlabel.cpp \
	  qlcdnum.cpp qlined.cpp qlistbox.cpp qmenubar.cpp qmenudta.cpp \
	  qmetaobj.cpp qmsgbox.cpp qobject.cpp qpainter.cpp qpalette.cpp \
	  qpdevmet.cpp qpic_x11.cpp qpicture.cpp qpixmap.cpp qpm_x11.cpp \
	  qpmcache.cpp qpntarry.cpp qpoint.cpp qpopmenu.cpp qprinter.cpp \
	  qprn_x11.cpp qprndlg.cpp qpsprn.cpp qptd_x11.cpp qptr_x11.cpp \
	  qpushbt.cpp qradiobt.cpp qrangect.cpp qrect.cpp qregexp.cpp \
	  qregion.cpp qrgn_x11.cpp qscrbar.cpp qsignal.cpp qsize.cpp \
	  qsocknot.cpp qstring.cpp qtablevw.cpp qtimer.cpp qtstream.cpp \
	  qwid_x11.cpp qwidget.cpp qwindow.cpp qwmatrix.cpp

# The object code files from SOURCES above

OBJECTS = qaccel.o qapp.o qapp_x11.o qbitarry.o qbitmap.o qbttngrp.o \
	  qbuffer.o qbutton.o qchkbox.o qclb_x11.o qclipbrd.o qcol_x11.o \
	  qcollect.o qcolor.o qcombo.o qconnect.o qcur_x11.o qcursor.o \
	  qdatetm.o qdialog.o qdir.o qdrawutl.o qdstream.o qevent.o \
	  qfile.o qfiledlg.o qfileinf.o qfnt_x11.o qfont.o qframe.o \
	  qgarray.o qgcache.o qgdict.o qglist.o qglobal.o qgrpbox.o \
	  qgvector.o qimage.o qiodev.o qlabel.o qlcdnum.o qlined.o \
	  qlistbox.o qmenubar.o qmenudta.o qmetaobj.o qmsgbox.o qobject.o \
	  qpainter.o qpalette.o qpdevmet.o qpic_x11.o qpicture.o qpixmap.o \
	  qpm_x11.o qpmcache.o qpntarry.o qpoint.o qpopmenu.o qprinter.o \
	  qprn_x11.o qprndlg.o qpsprn.o qptd_x11.o qptr_x11.o qpushbt.o \
	  qradiobt.o qrangect.o qrect.o qregexp.o qregion.o qrgn_x11.o \
	  qscrbar.o qsignal.o qsize.o qsocknot.o qstring.o qtablevw.o \
	  qtimer.o qtstream.o qwid_x11.o qwidget.o qwindow.o qwmatrix.o

# You may need to change compiler options in the .cpp.o rule.

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -I$(INCDIR) -c $(CFLAGS) -fpic $<

# VERSION - the version number of the shared library, where applicable

VERSION=1.0

# Creates the library when all files have been compiled

library: $(OBJECTS) $(METAOBJ)
	-rm -f ../lib/libqt.so.$(VERSION)
	$(CC) -shared -Wl,-soname,libqt.so.1 \
		-o ../lib/libqt.so.$(VERSION) \
		$(OBJECTS) $(METAOBJ) -lX11
	-rm -f ../lib/libqt.so
	-ln -sf libqt.so.$(VERSION) ../lib/libqt.so
	-rm -f ../lib/libqt.so.1
	-ln -s libqt.so.$(VERSION) ../lib/libqt.so.1

depend:
	makedepend $(SOURCES) 2> /dev/null

# You should not need to change anything beyond this point

dep: depend

clean:
	-rm -f *.o *.bak *~ *% $(METASRC)

# For maximum compatibility with old versions of make, we generate
# a separate rule for each meta object source file.

# Though you can see what is in these files, we urge you not to use this
# knowledge in your programs.

# METAHEADERS is the list of header files included by all the meta object
# source files

METAHEADERS = qarray.h qconnect.h qevent.h qgarray.h qgeneric.h qglobal.h \
	qobjdefs.h qobject.h qpoint.h qrect.h qshared.h qsize.h qstring.h \
	qwindefs.h

maccel.o: maccel.cpp
maccel.cpp: qaccel.h $(METAHEADERS)
	$(MOC) -o maccel.cpp qaccel.h

mapp.o: mapp.cpp
mapp.cpp: qapp.h $(METAHEADERS)
	$(MOC) -o mapp.cpp qapp.h

mbttngrp.o: mbttngrp.cpp
mbttngrp.cpp: qbttngrp.h $(METAHEADERS)
	$(MOC) -o mbttngrp.cpp qbttngrp.h

mbutton.o: mbutton.cpp
mbutton.cpp: qbutton.h $(METAHEADERS)
	$(MOC) -o mbutton.cpp qbutton.h

mchkbox.o: mchkbox.cpp
mchkbox.cpp: qchkbox.h $(METAHEADERS)
	$(MOC) -o mchkbox.cpp qchkbox.h

mclipbrd.o: mclipbrd.cpp
mclipbrd.cpp: qclipbrd.h $(METAHEADERS)
	$(MOC) -o mclipbrd.cpp qclipbrd.h

mcombo.o: mcombo.cpp
mcombo.cpp: qcombo.h $(METAHEADERS)
	$(MOC) -o mcombo.cpp qcombo.h

mdialog.o: mdialog.cpp
mdialog.cpp: qdialog.h $(METAHEADERS)
	$(MOC) -o mdialog.cpp qdialog.h

mfiledlg.o: mfiledlg.cpp
mfiledlg.cpp: qfiledlg.h $(METAHEADERS)
	$(MOC) -o mfiledlg.cpp qfiledlg.h

mframe.o: mframe.cpp
mframe.cpp: qframe.h $(METAHEADERS)
	$(MOC) -o mframe.cpp qframe.h

mgrpbox.o: mgrpbox.cpp
mgrpbox.cpp: qgrpbox.h $(METAHEADERS)
	$(MOC) -o mgrpbox.cpp qgrpbox.h

mlabel.o: mlabel.cpp
mlabel.cpp: qlabel.h $(METAHEADERS)
	$(MOC) -o mlabel.cpp qlabel.h

mlcdnum.o: mlcdnum.cpp
mlcdnum.cpp: qlcdnum.h $(METAHEADERS)
	$(MOC) -o mlcdnum.cpp qlcdnum.h

mlined.o: mlined.cpp
mlined.cpp: qlined.h $(METAHEADERS)
	$(MOC) -o mlined.cpp qlined.h

mlistbox.o: mlistbox.cpp
mlistbox.cpp: qlistbox.h $(METAHEADERS)
	$(MOC) -o mlistbox.cpp qlistbox.h

mmenubar.o: mmenubar.cpp
mmenubar.cpp: qmenubar.h $(METAHEADERS)
	$(MOC) -o mmenubar.cpp qmenubar.h

mmsgbox.o: mmsgbox.cpp
mmsgbox.cpp: qmsgbox.h $(METAHEADERS)
	$(MOC) -o mmsgbox.cpp qmsgbox.h

mpopmenu.o: mpopmenu.cpp
mpopmenu.cpp: qpopmenu.h $(METAHEADERS)
	$(MOC) -o mpopmenu.cpp qpopmenu.h

mprndlg.o: mprndlg.cpp
mprndlg.cpp: qprndlg.h $(METAHEADERS)
	$(MOC) -o mprndlg.cpp qprndlg.h

mpushbt.o: mpushbt.cpp
mpushbt.cpp: qpushbt.h $(METAHEADERS)
	$(MOC) -o mpushbt.cpp qpushbt.h

mradiobt.o: mradiobt.cpp
mradiobt.cpp: qradiobt.h $(METAHEADERS)
	$(MOC) -o mradiobt.cpp qradiobt.h

mscrbar.o: mscrbar.cpp
mscrbar.cpp: qscrbar.h $(METAHEADERS)
	$(MOC) -o mscrbar.cpp qscrbar.h

msocknot.o: msocknot.cpp
msocknot.cpp: qsocknot.h $(METAHEADERS)
	$(MOC) -o msocknot.cpp qsocknot.h

mtablevw.o: mtablevw.cpp
mtablevw.cpp: qtablevw.h $(METAHEADERS)
	$(MOC) -o mtablevw.cpp qtablevw.h

mtimer.o: mtimer.cpp
mtimer.cpp: qtimer.h $(METAHEADERS)
	$(MOC) -o mtimer.cpp qtimer.h

mwidget.o: mwidget.cpp
mwidget.cpp: qwidget.h $(METAHEADERS)
	$(MOC) -o mwidget.cpp qwidget.h

mwindow.o: mwindow.cpp
mwindow.cpp: qwindow.h $(METAHEADERS)
	$(MOC) -o mwindow.cpp qwindow.h


# DO NOT DELETE THIS LINE -- make depend depends on it.

# What is here now is accurate as far as it goes, but does not include
# system header files.

qaccel.o: qaccel.cpp qaccel.h qapp.h qarray.h qcollect.h \
	qcolor.h qcursor.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgeneric.h qglist.h qglobal.h qkeycode.h qlist.h \
	qobjdefs.h qobject.h qpaintd.h qpalette.h qpoint.h qrect.h \
	qshared.h qsignal.h qsize.h qstring.h qwidget.h qwindefs.h
qapp.o: qapp.cpp qapp.h qarray.h qcollect.h qcolor.h qconnect.h \
	qcursor.h qdict.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h qintdict.h \
	qlist.h qmetaobj.h qobjcoll.h qobjdefs.h qobject.h qpaintd.h \
	qpalette.h qpoint.h qrect.h qshared.h qsize.h qstring.h \
	qwidcoll.h qwidget.h qwindefs.h
qapp_x11.o: qapp.h qapp_x11.cpp qarray.h qbrush.h qcollect.h \
	qcolor.h qconnect.h qcursor.h qdict.h qevent.h qfile.h qfont.h \
	qfontinf.h qfontmet.h qgarray.h qgdict.h qgeneric.h qglist.h \
	qglobal.h qintdict.h qiodev.h qkeycode.h qlist.h qmetaobj.h \
	qobjcoll.h qobjdefs.h qobject.h qpaintd.h qpainter.h qpalette.h \
	qpen.h qpixmap.h qpmcache.h qpntarry.h qpoint.h qrect.h \
	qregion.h qshared.h qsize.h qstring.h qwidcoll.h qwidget.h \
	qwindefs.h qwmatrix.h
qbitarry.o: qarray.h qbitarry.cpp qbitarry.h qdstream.h qgarray.h \
	qgeneric.h qglobal.h qiodev.h qshared.h qstring.h
qbitmap.o: qarray.h qbitmap.cpp qbitmap.h qcolor.h qgarray.h \
	qgeneric.h qglobal.h qimage.h qobjdefs.h qpaintd.h qpixmap.h \
	qpoint.h qrect.h qshared.h qsize.h qstring.h qwindefs.h
qbttngrp.o: qarray.h qbttngrp.cpp qbttngrp.h qbutton.h \
	qcollect.h qcolor.h qcursor.h qevent.h qfont.h qfontinf.h \
	qfontmet.h qframe.h qgarray.h qgeneric.h qglist.h qglobal.h \
	qgrpbox.h qlist.h qobjdefs.h qobject.h qpaintd.h qpalette.h \
	qpoint.h qrect.h qshared.h qsize.h qstring.h qwidget.h qwindefs.h
qbuffer.o: qarray.h qbuffer.cpp qbuffer.h qgarray.h qgeneric.h \
	qglobal.h qiodev.h qshared.h qstring.h
qbutton.o: qarray.h qbrush.h qbttngrp.h qbutton.cpp qbutton.h \
	qcolor.h qcursor.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qframe.h qgarray.h qgeneric.h qglobal.h qgrpbox.h qobjdefs.h \
	qobject.h qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h \
	qpntarry.h qpoint.h qrect.h qregion.h qshared.h qsize.h qstring.h \
	qwidget.h qwindefs.h qwmatrix.h
qchkbox.o: qarray.h qbrush.h qbutton.h qchkbox.cpp qchkbox.h \
	qcolor.h qcursor.h qdrawutl.h qevent.h qfont.h qfontinf.h \
	qfontmet.h qgarray.h qgeneric.h qglobal.h qobjdefs.h qobject.h \
	qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h qpmcache.h \
	qpntarry.h qpoint.h qrect.h qregion.h qshared.h qsize.h qstring.h \
	qwidget.h qwindefs.h qwmatrix.h
qclb_x11.o: qapp.h qarray.h qclb_x11.cpp qclipbrd.h qcolor.h \
	qcursor.h qdatetm.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgeneric.h qglobal.h qobjdefs.h qobject.h qpaintd.h \
	qpalette.h qpixmap.h qpoint.h qrect.h qshared.h qsize.h qstring.h \
	qwidget.h qwindefs.h
qclipbrd.o: qapp.h qarray.h qclipbrd.cpp qclipbrd.h qcolor.h \
	qcursor.h qevent.h qfont.h qfontinf.h qfontmet.h qgarray.h \
	qgeneric.h qglobal.h qobjdefs.h qobject.h qpaintd.h qpalette.h \
	qpoint.h qrect.h qshared.h qsize.h qstring.h qwidget.h qwindefs.h
qcol_x11.o: qcol_x11.cpp qcollect.h qcolor.h qgdict.h qgeneric.h \
	qglobal.h qintdict.h qobjdefs.h qwindefs.h
qcollect.o: qcollect.cpp qcollect.h qglobal.h
qcolor.o: qarray.h qcolor.cpp qcolor.h qdstream.h qgarray.h \
	qgeneric.h qglobal.h qiodev.h qobjdefs.h qshared.h qstring.h \
	qwindefs.h
qcombo.o: qapp.h qarray.h qbrush.h qcollect.h qcolor.h qcombo.cpp \
	qcombo.h qcursor.h qdrawutl.h qdstream.h qevent.h qfont.h \
	qfontinf.h qfontmet.h qframe.h qgarray.h qgeneric.h qglist.h \
	qglobal.h qiodev.h qkeycode.h qlist.h qlistbox.h qmenudta.h \
	qobjdefs.h qobject.h qpaintd.h qpainter.h qpalette.h qpen.h \
	qpixmap.h qpntarry.h qpoint.h qpopmenu.h qrangect.h qrect.h \
	qregion.h qscrbar.h qshared.h qsize.h qstring.h qstrlist.h \
	qtablevw.h qtimer.h qwidget.h qwindefs.h qwmatrix.h
qconnect.o: qarray.h qconnect.cpp qconnect.h qevent.h qgarray.h \
	qgeneric.h qglobal.h qobjdefs.h qobject.h qpoint.h qrect.h \
	qshared.h qsize.h qstring.h qwindefs.h
qcur_x11.o: qapp.h qarray.h qbitmap.h qcolor.h qcur_x11.cpp \
	qcursor.h qdstream.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgeneric.h qglobal.h qiodev.h qobjdefs.h qobject.h \
	qpaintd.h qpalette.h qpixmap.h qpoint.h qrect.h qshared.h \
	qsize.h qstring.h qwidget.h qwindefs.h
qcursor.o: qarray.h qbitmap.h qcolor.h qcursor.cpp qcursor.h \
	qdstream.h qgarray.h qgeneric.h qglobal.h qiodev.h qobjdefs.h \
	qpaintd.h qpixmap.h qpoint.h qrect.h qshared.h qsize.h qstring.h \
	qwindefs.h
qdatetm.o: qarray.h qdatetm.cpp qdatetm.h qdstream.h qgarray.h \
	qgeneric.h qglobal.h qiodev.h qshared.h qstring.h
qdialog.o: qapp.h qarray.h qbutton.h qcollect.h qcolor.h \
	qconnect.h qcursor.h qdialog.cpp qdialog.h qdict.h qevent.h \
	qfont.h qfontinf.h qfontmet.h qgarray.h qgdict.h qgeneric.h \
	qglist.h qglobal.h qkeycode.h qlist.h qmetaobj.h qobjcoll.h \
	qobjdefs.h qobject.h qpaintd.h qpalette.h qpoint.h qpushbt.h \
	qrect.h qshared.h qsize.h qstring.h qwidget.h qwindefs.h
qdir.o: qarray.h qcollect.h qdatetm.h qdir.cpp qdir.h qdstream.h \
	qfile.h qfiledef.h qfileinf.h qgarray.h qgeneric.h qglist.h \
	qglobal.h qiodev.h qlist.h qregexp.h qshared.h qstring.h \
	qstrlist.h
qdrawutl.o: qarray.h qbrush.h qcolor.h qdrawutl.cpp qdrawutl.h \
	qfont.h qfontinf.h qfontmet.h qgarray.h qgeneric.h qglobal.h \
	qobjdefs.h qpaintd.h qpainter.h qpalette.h qpen.h qpntarry.h \
	qpoint.h qrect.h qregion.h qshared.h qsize.h qstring.h qwindefs.h \
	qwmatrix.h
qdstream.o: qarray.h qbuffer.h qdstream.cpp qdstream.h qgarray.h \
	qgeneric.h qglobal.h qiodev.h qshared.h qstring.h
qevent.o: qevent.cpp qevent.h qglobal.h qobjdefs.h qpoint.h \
	qrect.h qsize.h qwindefs.h
qfile.o: qarray.h qfile.cpp qfile.h qfiledef.h qgarray.h \
	qgeneric.h qglobal.h qiodev.h qshared.h qstring.h
qfiledlg.o: qapp.h qarray.h qbutton.h qcollect.h qcolor.h \
	qcombo.h qcursor.h qdatetm.h qdialog.h qdir.h qdstream.h \
	qevent.h qfile.h qfiledlg.cpp qfiledlg.h qfileinf.h qfont.h \
	qfontinf.h qfontmet.h qframe.h qgarray.h qgeneric.h qglist.h \
	qglobal.h qiodev.h qlabel.h qlined.h qlist.h qlistbox.h qmsgbox.h \
	qobjdefs.h qobject.h qpaintd.h qpalette.h qpixmap.h qpoint.h \
	qpushbt.h qrect.h qshared.h qsize.h qstring.h qstrlist.h \
	qtablevw.h qwidget.h qwindefs.h
qfileinf.o: qarray.h qcollect.h qdatetm.h qdir.h qdstream.h \
	qfile.h qfiledef.h qfileinf.cpp qfileinf.h qgarray.h qgeneric.h \
	qglist.h qglobal.h qiodev.h qlist.h qshared.h qstring.h \
	qstrlist.h
qfnt_x11.o: qarray.h qbrush.h qcache.h qcollect.h qcolor.h \
	qcursor.h qdict.h qevent.h qfnt_x11.cpp qfont.h qfontdta.h \
	qfontinf.h qfontmet.h qgarray.h qgcache.h qgdict.h qgeneric.h \
	qglist.h qglobal.h qobjdefs.h qobject.h qpaintd.h qpainter.h \
	qpalette.h qpen.h qpntarry.h qpoint.h qrect.h qregion.h qshared.h \
	qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qfont.o: qarray.h qbrush.h qcollect.h qcolor.h qcursor.h qdict.h \
	qdstream.h qevent.h qfont.cpp qfont.h qfontdta.h qfontinf.h \
	qfontmet.h qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h \
	qiodev.h qlist.h qobjdefs.h qobject.h qpaintd.h qpainter.h \
	qpalette.h qpen.h qpntarry.h qpoint.h qrect.h qregion.h qshared.h \
	qsize.h qstring.h qstrlist.h qwidget.h qwindefs.h qwmatrix.h
qframe.o: qarray.h qbrush.h qcolor.h qcursor.h qdrawutl.h \
	qevent.h qfont.h qfontinf.h qfontmet.h qframe.cpp qframe.h \
	qgarray.h qgeneric.h qglobal.h qobjdefs.h qobject.h qpaintd.h \
	qpainter.h qpalette.h qpen.h qpntarry.h qpoint.h qrect.h \
	qregion.h qshared.h qsize.h qstring.h qwidget.h qwindefs.h \
	qwmatrix.h
qgarray.o: qarray.h qgarray.cpp qgarray.h qgeneric.h qglobal.h \
	qshared.h qstring.h
qgcache.o: qarray.h qcollect.h qdict.h qgarray.h qgcache.cpp \
	qgcache.h qgdict.h qgeneric.h qglist.h qglobal.h qlist.h \
	qshared.h qstring.h
qgdict.o: qarray.h qcollect.h qdstream.h qgarray.h qgdict.cpp \
	qgdict.h qgeneric.h qglist.h qglobal.h qiodev.h qlist.h \
	qshared.h qstring.h
qglist.o: qarray.h qcollect.h qdstream.h qgarray.h qgeneric.h \
	qglist.cpp qglist.h qglobal.h qgvector.h qiodev.h qshared.h \
	qstring.h
qglobal.o: qarray.h qcollect.h qdict.h qgarray.h qgdict.h \
	qgeneric.h qglobal.cpp qglobal.h qshared.h qstring.h
qgrpbox.o: qarray.h qbrush.h qcolor.h qcursor.h qevent.h qfont.h \
	qfontinf.h qfontmet.h qframe.h qgarray.h qgeneric.h qglobal.h \
	qgrpbox.cpp qgrpbox.h qobjdefs.h qobject.h qpaintd.h qpainter.h \
	qpalette.h qpen.h qpntarry.h qpoint.h qrect.h qregion.h qshared.h \
	qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qgvector.o: qarray.h qcollect.h qdstream.h qgarray.h qgeneric.h \
	qglist.h qglobal.h qgvector.cpp qgvector.h qiodev.h qshared.h \
	qstring.h
qimage.o: qarray.h qcollect.h qcolor.h qdstream.h qfile.h \
	qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h qimage.cpp \
	qimage.h qintdict.h qiodev.h qlist.h qobjdefs.h qpaintd.h \
	qpixmap.h qpoint.h qrect.h qregexp.h qshared.h qsize.h qstring.h \
	qwindefs.h
qiodev.o: qglobal.h qiodev.cpp qiodev.h
qlabel.o: qarray.h qbrush.h qcolor.h qcursor.h qevent.h qfont.h \
	qfontinf.h qfontmet.h qframe.h qgarray.h qgeneric.h qglobal.h \
	qlabel.cpp qlabel.h qobjdefs.h qobject.h qpaintd.h qpainter.h \
	qpalette.h qpen.h qpixmap.h qpntarry.h qpoint.h qrect.h qregion.h \
	qshared.h qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qlcdnum.o: qarray.h qbitarry.h qbrush.h qcolor.h qcursor.h \
	qevent.h qfont.h qfontinf.h qfontmet.h qframe.h qgarray.h \
	qgeneric.h qglobal.h qlcdnum.cpp qlcdnum.h qobjdefs.h qobject.h \
	qpaintd.h qpainter.h qpalette.h qpen.h qpntarry.h qpoint.h \
	qrect.h qregion.h qshared.h qsize.h qstring.h qwidget.h \
	qwindefs.h qwmatrix.h
qlined.o: qapp.h qarray.h qbrush.h qclipbrd.h qcolor.h qcursor.h \
	qdrawutl.h qevent.h qfont.h qfontinf.h qfontmet.h qgarray.h \
	qgeneric.h qglobal.h qkeycode.h qlined.cpp qlined.h qobjdefs.h \
	qobject.h qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h \
	qpntarry.h qpoint.h qrect.h qregion.h qshared.h qsize.h qstring.h \
	qwidget.h qwindefs.h qwmatrix.h
qlistbox.o: qapp.h qarray.h qbrush.h qcollect.h qcolor.h \
	qcursor.h qdstream.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qframe.h qgarray.h qgeneric.h qglist.h qglobal.h qiodev.h \
	qkeycode.h qlist.h qlistbox.cpp qlistbox.h qobjdefs.h qobject.h \
	qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h qpntarry.h \
	qpoint.h qrect.h qregion.h qshared.h qsize.h qstring.h qstrlist.h \
	qtablevw.h qwidget.h qwindefs.h qwmatrix.h
qmenubar.o: qaccel.h qapp.h qarray.h qbrush.h qcollect.h qcolor.h \
	qcursor.h qdrawutl.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qframe.h qgarray.h qgeneric.h qglist.h qglobal.h qkeycode.h \
	qlist.h qmenubar.cpp qmenubar.h qmenudta.h qobjdefs.h qobject.h \
	qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h qpntarry.h \
	qpoint.h qpopmenu.h qrect.h qregion.h qshared.h qsignal.h \
	qsize.h qstring.h qtablevw.h qwidget.h qwindefs.h qwmatrix.h
qmenudta.o: qapp.h qarray.h qcollect.h qcolor.h qcursor.h \
	qevent.h qfont.h qfontinf.h qfontmet.h qframe.h qgarray.h \
	qgeneric.h qglist.h qglobal.h qlist.h qmenudta.cpp qmenudta.h \
	qobjdefs.h qobject.h qpaintd.h qpalette.h qpixmap.h qpoint.h \
	qpopmenu.h qrect.h qshared.h qsignal.h qsize.h qstring.h \
	qtablevw.h qwidget.h qwindefs.h
qmetaobj.o: qarray.h qcollect.h qconnect.h qdict.h qdstream.h \
	qevent.h qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h \
	qiodev.h qlist.h qmetaobj.cpp qmetaobj.h qobjcoll.h qobjdefs.h \
	qobject.h qpoint.h qrect.h qshared.h qsize.h qstring.h qstrlist.h \
	qwindefs.h
qmsgbox.o: qarray.h qbutton.h qcolor.h qcursor.h qdialog.h \
	qevent.h qfont.h qfontinf.h qfontmet.h qframe.h qgarray.h \
	qgeneric.h qglobal.h qlabel.h qmsgbox.cpp qmsgbox.h qobjdefs.h \
	qobject.h qpaintd.h qpalette.h qpoint.h qpushbt.h qrect.h \
	qshared.h qsize.h qstring.h qwidget.h qwindefs.h
qobject.o: qarray.h qcollect.h qconnect.h qdict.h qevent.h \
	qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h qlist.h \
	qmetaobj.h qobjcoll.h qobjdefs.h qobject.cpp qobject.h qpoint.h \
	qrect.h qregexp.h qshared.h qsize.h qstring.h qwindefs.h
qpainter.o: qarray.h qbitmap.h qbrush.h qcollect.h qcolor.h \
	qdstream.h qfont.h qfontinf.h qfontmet.h qgarray.h qgeneric.h \
	qglist.h qglobal.h qiodev.h qobjdefs.h qpaintd.h qpaintdc.h \
	qpainter.cpp qpainter.h qpen.h qpixmap.h qpntarry.h qpoint.h \
	qrect.h qregion.h qshared.h qsize.h qstack.h qstring.h qwindefs.h \
	qwmatrix.h
qpalette.o: qarray.h qcolor.h qdstream.h qgarray.h qgeneric.h \
	qglobal.h qiodev.h qobjdefs.h qpalette.cpp qpalette.h qshared.h \
	qstring.h qwindefs.h
qpdevmet.o: qglobal.h qobjdefs.h qpaintd.h qpaintdc.h \
	qpdevmet.cpp qpdevmet.h qpoint.h qrect.h qsize.h qwindefs.h
qpic_x11.o: qarray.h qbuffer.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qobjdefs.h qpaintd.h qpic_x11.cpp qpicture.h qpoint.h \
	qrect.h qshared.h qsize.h qstring.h qwindefs.h
qpicture.o: qarray.h qbrush.h qbuffer.h qcolor.h qdstream.h \
	qfile.h qfont.h qfontinf.h qfontmet.h qgarray.h qgeneric.h \
	qglobal.h qiodev.h qobjdefs.h qpaintd.h qpaintdc.h qpainter.h \
	qpen.h qpicture.cpp qpicture.h qpixmap.h qpntarry.h qpoint.h \
	qrect.h qregion.h qshared.h qsize.h qstring.h qwindefs.h \
	qwmatrix.h
qpixmap.o: qarray.h qbitmap.h qbrush.h qbuffer.h qcolor.h \
	qcursor.h qdstream.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgeneric.h qglobal.h qimage.h qiodev.h qobjdefs.h \
	qobject.h qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.cpp \
	qpixmap.h qpntarry.h qpoint.h qrect.h qregion.h qshared.h \
	qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qpm_x11.o: qapp.h qarray.h qbitmap.h qcolor.h qcursor.h qevent.h \
	qfont.h qfontinf.h qfontmet.h qgarray.h qgeneric.h qglobal.h \
	qimage.h qobjdefs.h qobject.h qpaintd.h qpaintdc.h qpalette.h \
	qpixmap.h qpm_x11.cpp qpntarry.h qpoint.h qrect.h qshared.h \
	qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qpmcache.o: qcache.h qcollect.h qcolor.h qgcache.h qgdict.h \
	qgeneric.h qglist.h qglobal.h qobjdefs.h qpaintd.h qpixmap.h \
	qpmcache.cpp qpmcache.h qpoint.h qrect.h qshared.h qsize.h \
	qwindefs.h
qpntarry.o: qarray.h qbitarry.h qdstream.h qgarray.h qgeneric.h \
	qglobal.h qiodev.h qobjdefs.h qpntarry.cpp qpntarry.h qpoint.h \
	qrect.h qshared.h qsize.h qstring.h qwindefs.h
qpoint.o: qarray.h qdstream.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qobjdefs.h qpoint.cpp qpoint.h qshared.h qstring.h \
	qwindefs.h
qpopmenu.o: qaccel.h qapp.h qarray.h qbrush.h qcollect.h \
	qcolor.h qcursor.h qdrawutl.h qevent.h qfont.h qfontinf.h \
	qfontmet.h qframe.h qgarray.h qgeneric.h qglist.h qglobal.h \
	qkeycode.h qlist.h qmenubar.h qmenudta.h qobjdefs.h qobject.h \
	qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h qpntarry.h \
	qpoint.h qpopmenu.cpp qpopmenu.h qrangect.h qrect.h qregion.h \
	qscrbar.h qshared.h qsignal.h qsize.h qstring.h qtablevw.h \
	qwidget.h qwindefs.h qwmatrix.h
qprinter.o: qarray.h qgarray.h qgeneric.h qglobal.h qobjdefs.h \
	qpaintd.h qpoint.h qprinter.cpp qprinter.h qrect.h qshared.h \
	qsize.h qstring.h qwindefs.h
qprn_x11.o: qapp.h qarray.h qcolor.h qcursor.h qdialog.h \
	qevent.h qfile.h qfont.h qfontinf.h qfontmet.h qgarray.h \
	qgeneric.h qglobal.h qiodev.h qobjdefs.h qobject.h qpaintd.h \
	qpaintdc.h qpalette.h qpoint.h qprinter.h qprn_x11.cpp qprndlg.h \
	qpsprn.h qrect.h qshared.h qsize.h qstring.h qtstream.h qwidget.h \
	qwindefs.h
qprndlg.o: qarray.h qbutton.h qcollect.h qcolor.h qcombo.h \
	qconnect.h qcursor.h qdatetm.h qdialog.h qdict.h qdir.h \
	qdstream.h qevent.h qfile.h qfiledlg.h qfileinf.h qfont.h \
	qfontinf.h qfontmet.h qframe.h qgarray.h qgdict.h qgeneric.h \
	qglist.h qglobal.h qiodev.h qlabel.h qlined.h qlist.h qmetaobj.h \
	qobjcoll.h qobjdefs.h qobject.h qpaintd.h qpalette.h qpoint.h \
	qprinter.h qprndlg.cpp qprndlg.h qpushbt.h qrect.h qshared.h \
	qsize.h qstring.h qstrlist.h qwidget.h qwindefs.h
qpsprn.o: qarray.h qbrush.h qbuffer.h qcolor.h qdatetm.h qfile.h \
	qfont.h qfontinf.h qfontmet.h qgarray.h qgeneric.h qglobal.h \
	qimage.h qiodev.h qobjdefs.h qpaintd.h qpaintdc.h qpainter.h \
	qpen.h qpixmap.h qpntarry.h qpoint.h qprinter.h qpsprn.cpp \
	qpsprn.h qrect.h qregion.h qshared.h qsize.h qstring.h qtstream.h \
	qwindefs.h qwmatrix.h
qptd_x11.o: qapp.h qarray.h qbitmap.h qcolor.h qcursor.h qevent.h \
	qfont.h qfontinf.h qfontmet.h qgarray.h qgeneric.h qglobal.h \
	qobjdefs.h qobject.h qpaintd.h qpaintdc.h qpalette.h qpixmap.h \
	qpoint.h qptd_x11.cpp qrect.h qshared.h qsize.h qstring.h \
	qwidget.h qwindefs.h
qptr_x11.o: qarray.h qbitmap.h qbrush.h qcollect.h qcolor.h \
	qcursor.h qevent.h qfont.h qfontdta.h qfontinf.h qfontmet.h \
	qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h qintdict.h \
	qlist.h qobjdefs.h qobject.h qpaintd.h qpaintdc.h qpainter.h \
	qpalette.h qpen.h qpixmap.h qpmcache.h qpntarry.h qpoint.h \
	qptr_x11.cpp qrect.h qregion.h qshared.h qsize.h qstring.h \
	qwidget.h qwindefs.h qwmatrix.h
qpushbt.o: qarray.h qbrush.h qbutton.h qcolor.h qcursor.h \
	qdialog.h qdrawutl.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgeneric.h qglobal.h qobjdefs.h qobject.h qpaintd.h \
	qpainter.h qpalette.h qpen.h qpixmap.h qpmcache.h qpntarry.h \
	qpoint.h qpushbt.cpp qpushbt.h qrect.h qregion.h qshared.h \
	qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qradiobt.o: qarray.h qbrush.h qbttngrp.h qbutton.h qcolor.h \
	qcursor.h qevent.h qfont.h qfontinf.h qfontmet.h qframe.h \
	qgarray.h qgeneric.h qglobal.h qgrpbox.h qobjdefs.h qobject.h \
	qpaintd.h qpainter.h qpalette.h qpen.h qpixmap.h qpmcache.h \
	qpntarry.h qpoint.h qradiobt.cpp qradiobt.h qrect.h qregion.h \
	qshared.h qsize.h qstring.h qwidget.h qwindefs.h qwmatrix.h
qrangect.o: qglobal.h qrangect.cpp qrangect.h
qrect.o: qarray.h qdstream.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qobjdefs.h qpoint.h qrect.cpp qrect.h qshared.h qsize.h \
	qstring.h qwindefs.h
qregexp.o: qarray.h qgarray.h qgeneric.h qglobal.h qregexp.cpp \
	qregexp.h qshared.h qstring.h
qregion.o: qarray.h qbuffer.h qdstream.h qgarray.h qgeneric.h \
	qglobal.h qiodev.h qobjdefs.h qpntarry.h qpoint.h qrect.h \
	qregion.cpp qregion.h qshared.h qsize.h qstring.h qwindefs.h
qrgn_x11.o: qarray.h qbuffer.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qobjdefs.h qpntarry.h qpoint.h qrect.h qregion.h \
	qrgn_x11.cpp qshared.h qsize.h qstring.h qwindefs.h
qscrbar.o: qarray.h qbitmap.h qbrush.h qcolor.h qcursor.h \
	qdrawutl.h qevent.h qfont.h qfontinf.h qfontmet.h qgarray.h \
	qgeneric.h qglobal.h qobjdefs.h qobject.h qpaintd.h qpainter.h \
	qpalette.h qpen.h qpixmap.h qpntarry.h qpoint.h qrangect.h \
	qrect.h qregion.h qscrbar.cpp qscrbar.h qshared.h qsize.h \
	qstring.h qwidget.h qwindefs.h qwmatrix.h
qsignal.o: qarray.h qconnect.h qevent.h qgarray.h qgeneric.h \
	qglobal.h qmetaobj.h qobjdefs.h qobject.h qpoint.h qrect.h \
	qshared.h qsignal.cpp qsignal.h qsize.h qstring.h qwindefs.h
qsize.o: qarray.h qdstream.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qobjdefs.h qpoint.h qshared.h qsize.cpp qsize.h \
	qstring.h qwindefs.h
qsocknot.o: qarray.h qevent.h qgarray.h qgeneric.h qglobal.h \
	qobjdefs.h qobject.h qpoint.h qrect.h qshared.h qsize.h \
	qsocknot.cpp qsocknot.h qstring.h qwindefs.h
qstring.o: qarray.h qdstream.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qshared.h qstring.cpp qstring.h
qtablevw.o: qarray.h qbrush.h qcolor.h qcursor.h qdrawutl.h \
	qevent.h qfont.h qfontinf.h qfontmet.h qframe.h qgarray.h \
	qgeneric.h qglobal.h qobjdefs.h qobject.h qpaintd.h qpainter.h \
	qpalette.h qpen.h qpntarry.h qpoint.h qrangect.h qrect.h \
	qregion.h qscrbar.h qshared.h qsize.h qstring.h qtablevw.cpp \
	qtablevw.h qwidget.h qwindefs.h qwmatrix.h
qtimer.o: qarray.h qevent.h qgarray.h qgeneric.h qglobal.h \
	qobjdefs.h qobject.h qpoint.h qrect.h qshared.h qsignal.h \
	qsize.h qstring.h qtimer.cpp qtimer.h qwindefs.h
qtstream.o: qarray.h qbuffer.h qfile.h qgarray.h qgeneric.h \
	qglobal.h qiodev.h qshared.h qstring.h qtstream.cpp qtstream.h
qwid_x11.o: qapp.h qarray.h qbrush.h qcollect.h qcolor.h \
	qconnect.h qcursor.h qdict.h qevent.h qfont.h qfontinf.h \
	qfontmet.h qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h \
	qintdict.h qlist.h qmetaobj.h qobjcoll.h qobjdefs.h qobject.h \
	qpaintd.h qpaintdc.h qpainter.h qpalette.h qpen.h qpixmap.h \
	qpntarry.h qpoint.h qrect.h qregion.h qshared.h qsize.h qstring.h \
	qwid_x11.cpp qwidcoll.h qwidget.h qwindefs.h qwindow.h qwmatrix.h
qwidget.o: qapp.h qarray.h qcollect.h qcolor.h qconnect.h \
	qcursor.h qdict.h qevent.h qfont.h qfontinf.h qfontmet.h \
	qgarray.h qgdict.h qgeneric.h qglist.h qglobal.h qintdict.h \
	qkeycode.h qlist.h qmetaobj.h qobjcoll.h qobjdefs.h qobject.h \
	qpaintd.h qpalette.h qpixmap.h qpoint.h qrect.h qshared.h \
	qsize.h qstring.h qwidcoll.h qwidget.cpp qwidget.h qwindefs.h
qwindow.o: qarray.h qcolor.h qcursor.h qevent.h qfont.h \
	qfontinf.h qfontmet.h qgarray.h qgeneric.h qglobal.h qobjdefs.h \
	qobject.h qpaintd.h qpalette.h qpixmap.h qpoint.h qrect.h \
	qshared.h qsize.h qstring.h qwidget.h qwindefs.h qwindow.cpp \
	qwindow.h
qwmatrix.o: qarray.h qdstream.h qgarray.h qgeneric.h qglobal.h \
	qiodev.h qobjdefs.h qpntarry.h qpoint.h qrect.h qshared.h \
	qsize.h qstring.h qwindefs.h qwmatrix.cpp qwmatrix.h
